searchData={"items":[{"type":"module","title":"Poolex.PromEx","doc":"This is a plugin for your application to collect Poolex's metrics with PromEx.\n\nTo use this plugin, you need to add `:poolex_prom_ex` to your dependencies in `mix.exs`:\n\n```elixir\ndefp deps do\n  [\n    {:poolex_prom_ex, \"~> 0.1.0\"}\n  ]\nend\n```\n\nThen you need to add this plugin to plugins list in your `PromEx` configuration:\n\n```elixir\ndefmodule MyCoolApp.PromEx do\n  use PromEx, otp_app: :my_cool_app\n\n  @impl PromEx\n  def plugins do\n    [\n      Poolex.PromEx\n    ]\n  end\nend\n```\n\nAdditional information about `PromEx` installation and configuration can be found in the `PromEx` documentation: https://hexdocs.pm/prom_ex/readme.html#installation.","ref":"Poolex.PromEx.html"},{"type":"extras","title":"PoolexPromEx","doc":"# PoolexPromEx\n\nThis is a plugin for your application to collect [Poolex's](https://github.com/general-CbIC/poolex) metrics with PromEx.","ref":"readme.html"},{"type":"extras","title":"Requirements - PoolexPromEx","doc":"| Requirement | Version |\n|-------------|---------|\n| Erlang/OTP  | >= 24   |\n| Elixir      | >= 1.11 |","ref":"readme.html#requirements"},{"type":"extras","title":"Installation - PoolexPromEx","doc":"To use this plugin, you need to add `:poolex_prom_ex` to your dependencies in `mix.exs`:\n\n  ```elixir\n  defp deps do\n    [\n      {:poolex_prom_ex, \"~> 0.1.0\"}\n    ]\n  end\n  ```\n\n  Then you need to add this plugin to plugins list in your `PromEx` configuration:\n\n  ```elixir\n  defmodule MyCoolApp.PromEx do\n    use PromEx, otp_app: :my_cool_app\n\n    @impl PromEx\n    def plugins do\n      [\n        Poolex.PromEx\n      ]\n    end\n  end\n  ```\n\nAdditional information about `PromEx` installation and configuration can be found in the `PromEx` documentation:  .","ref":"readme.html#installation"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}